PROBE::SIGNAL.DO_A(3stap)

NAME
probe::signal.do_action - Examining or changing a signal action

SYNOPSIS

signal.do_action

VALUES

sigact_addr
    The address of the new sigaction struct associated with the signal

oldsigact_addr
    The address of the old sigaction struct associated with the signal

sig_name
    A string representation of the signal

name
    Name of the probe point

sig
    The signal to be examined/changed

sa_mask
    The new mask of the signal

sa_handler
    The new handler of the signal

SEE ALSO
tapset::signal(3stap)